## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanObjectStackCacheDefault Class Template Reference

`#include <XalanObjectStackCache.hpp>`

Inheritance diagram for XalanObjectStackCacheDefault:

[legend]
Collaboration diagram for XalanObjectStackCacheDefault:

[legend]
List of all members.

## Public Types

- typedef XalanObjectStackCache<
  ObjectType, DefaultCacheCreateFunctor<
  ObjectType>, DeleteFunctor<
  ObjectType>, DefaultCacheResetFunctor<
  ObjectType> > BaseClassType

## Public Methods

- XalanObjectStackCacheDefault (unsigned int initialListSize=0)

### template<class ObjectType> class XalanObjectStackCacheDefault

## Member Typedef Documentation

template<class ObjectType>
typedef XalanObjectStackCache< ObjectType, DefaultCacheCreateFunctor< ObjectType >, DeleteFunctor< ObjectType >, DefaultCacheResetFunctor< ObjectType > > XalanObjectStackCacheDefault<ObjectType>::BaseClassType<ObjectType, DefaultCacheCreateFunctor<ObjectType>, DeleteFunctor<ObjectType>, DefaultCacheResetFunctor<ObjectType> >

## Constructor & Destructor Documentation

template<class ObjectType>
XalanObjectStackCacheDefault<ObjectType>::XalanObjectStackCacheDefault<ObjectType> ( | unsigned int initialListSize = 0 )`[explicit]`

The documentation for this class was generated from the following file:

- XalanObjectStackCache.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.